Index: DCWoRMS/branches/coolemall/src/test/migrate/NodeEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/migrate/NodeEnergyEstimationPlugin.java	(revision 1386)
+++ DCWoRMS/branches/coolemall/src/test/migrate/NodeEnergyEstimationPlugin.java	(revision 1399)
@@ -5,5 +5,5 @@
 import schedframe.resources.computing.profiles.energy.power.PowerState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
-import schedframe.resources.computing.profiles.energy.power.UserPowerStateName;
+import schedframe.resources.computing.profiles.energy.power.CustomPowerStateName;
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -37,11 +37,11 @@
 		double highestLoadLevel = 0;
 		try{
-			if(node.getPowerInterface().supportPowerState(new UserPowerStateName("ON_" + new Double(loadLevel).intValue()))){
-				powerConsumption = node.getPowerInterface().getPowerConsumption(new UserPowerStateName("ON_" + new Double(loadLevel).intValue()));
+			if(node.getPowerInterface().supportPowerState(new CustomPowerStateName("ON_" + new Double(loadLevel).intValue()))){
+				powerConsumption = node.getPowerInterface().getPowerConsumption(new CustomPowerStateName("ON_" + new Double(loadLevel).intValue()));
 			} else {
 				for(PowerState powerState: node.getPowerInterface().getSupportedPowerStates()){
 					Double load;
 					try{
-						load = Double.valueOf(powerState.getName().getName().substring(3));
+						load = Double.valueOf(powerState.getName().getLabel().substring(3));
 					}catch (Exception e){
 						continue;
@@ -55,5 +55,5 @@
 				}
 				if(loadLevel == 0){
-					powerConsumption = node.getPowerInterface().getPowerConsumption(new UserPowerStateName("ON_0"));
+					powerConsumption = node.getPowerInterface().getPowerConsumption(new CustomPowerStateName("ON_0"));
 				} else {
 					
@@ -62,5 +62,5 @@
 
 					for(PowerState powerState: node.getPowerInterface().getSupportedPowerStates()){
-						Double load = Double.valueOf(powerState.getName().getName().substring(3));
+						Double load = Double.valueOf(powerState.getName().getLabel().substring(3));
 						if(loadLevel > load){
 							lowerLoadLevel = load;
@@ -76,11 +76,11 @@
 					double b;
 					if(lowerLoadLevel != higherLoadLevel) {
-						powerBelow = node.getPowerInterface().getPowerConsumption(new UserPowerStateName("ON_" + new Double(lowerLoadLevel).intValue()));
-						powerAbove = node.getPowerInterface().getPowerConsumption(new UserPowerStateName("ON_" + new Double(higherLoadLevel).intValue()));
+						powerBelow = node.getPowerInterface().getPowerConsumption(new CustomPowerStateName("ON_" + new Double(lowerLoadLevel).intValue()));
+						powerAbove = node.getPowerInterface().getPowerConsumption(new CustomPowerStateName("ON_" + new Double(higherLoadLevel).intValue()));
 						a = (powerAbove - powerBelow)/(higherLoadLevel - lowerLoadLevel);
 						b = powerAbove - a * higherLoadLevel;
 					} else {
-						powerBelow = node.getPowerInterface().getPowerConsumption(new UserPowerStateName("ON_" + new Double(lowestLoadLevel).intValue()));
-						powerAbove = node.getPowerInterface().getPowerConsumption(new UserPowerStateName("ON_" + new Double(highestLoadLevel).intValue()));
+						powerBelow = node.getPowerInterface().getPowerConsumption(new CustomPowerStateName("ON_" + new Double(lowestLoadLevel).intValue()));
+						powerAbove = node.getPowerInterface().getPowerConsumption(new CustomPowerStateName("ON_" + new Double(highestLoadLevel).intValue()));
 						a = (powerAbove - powerBelow)/(highestLoadLevel - lowestLoadLevel);
 						b = powerAbove - a * highestLoadLevel;
Index: DCWoRMS/branches/coolemall/src/test/migrate/FCFSBF_RandomPluginMigrate.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/migrate/FCFSBF_RandomPluginMigrate.java	(revision 1391)
+++ DCWoRMS/branches/coolemall/src/test/migrate/FCFSBF_RandomPluginMigrate.java	(revision 1399)
@@ -21,5 +21,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
